FilterType (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client

## Enum FilterType

- java.lang.Object
- - java.lang.Enum<FilterType>
  - - org.gcube.portlets.user.newsfeed.client.FilterType

- All Implemented Interfaces:
    Serializable, Comparable<FilterType>

      public enum FilterType
      extends Enum<FilterType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_UPDATES`
    `CONNECTIONS`
    `LIKEDFEEDS`
    `MINE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_UPDATES

          public static final FilterType ALL_UPDATES

    - #### CONNECTIONS

          public static final FilterType CONNECTIONS

    - #### LIKEDFEEDS

          public static final FilterType LIKEDFEEDS

    - #### MINE

          public static final FilterType MINE

  - ### Method Detail

    - #### values

          public static FilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterType c : FilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.